Subject: categories: Re: process algebras

From: [email-masked]
Date: 21 Apr 2000 12:19:50 -0700

> Is there any formalization of process algebras in term of categories? I
> would be interested in giving an computational, multi-process semantics
> to certain graphs, and I thought it could be done in terms of a functor
> to a process category (if this concept exists...)
> Is there any literature about this?

around 1995, i had two papers about "convenient categories for process
calculus" and one about "categorical logic of concurrency and
interaction". the simplest way to get them is probably on hypatia, or from
my web page http://www.kestrel.edu/HTML/people/pavlovic/ i am not sure to
which extent is this what you are looking for, but it is surely related.
later samson abramsky and i figured how to deal with process categories
much better, but most of it was never written up. an initial account was
in our CTCS 97 paper (also available, i think, at the same sites.)

-- dusko pavlovic